Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006258TestLinkUser Authentication Methodspublic2014-03-21 18:352014-04-25 17:38
Reporterflaviobeck 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006258: User cannot login after change Authentication method from LDAP to DB
DescriptionI have set TL default authentication to LDAP, and after change back some users (at user level) to DB, they cannot login.
Steps To ReproduceEnvironment:
- TL is set to DB authentication Only.
- 1 users accounts as admin role : password = 12345

Steps:
1. Set TL default authentication to LDAP
verify user properties Authentication method has changed to "Default(LDAP)"
verify user can login by LDAP password (not 12345)
2. Set user level Authentication method to DB
3. Try to login with previous DB password (12345)

Result:
User cannot login with DB password, neither LDAP password.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0020609)
fman (administrator)
2014-03-22 11:41

https://gitorious.org/testlink-ga/testlink-code/commit/ada1d28a22c2f143b55f4993ae23620e467dcf9f [^]
(0020814)
fman (administrator)
2014-04-25 17:38

1.9.10 released

- Issue History
Date Modified Username Field Change
2014-03-21 18:35 flaviobeck New Issue
2014-03-22 11:37 fman Assigned To => fman
2014-03-22 11:37 fman Status new => assigned
2014-03-22 11:37 fman QA Team - Task Workflow Status => TBD
2014-03-22 11:41 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-03-22 11:41 fman Note Added: 0020609
2014-03-22 11:41 fman Status assigned => resolved
2014-03-22 11:41 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-03-22 11:41 fman Resolution open => fixed
2014-04-25 17:38 fman Note Added: 0020814
2014-04-25 17:38 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker